%define name ipvsadm
%define version 0.9.16
%define release 2.2.17mdk
Summary: Administration tool for Linux Virtual Server
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL 
Group: System/Kernel and hardware
BuildRequires: popt-devel
URL: http://www.linuxvirtualserver.org
Source: http://www.linuxvirtualserver.org/software/ipvs-%{version}-2.2.17.tar.bz2
Source1: lvs
Source2: lvs.example
Patch0: ldirectord.patch
Buildroot: %{_tmppath}/%{name}-root

%description 
ipvsadm is a utility to administer the IP virtual server services
offered by the Linux kernel with virtual server patch.
Virtual Server in Linux kernel can be used to build a high-performance
and highly available server.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n ipvs-%{version}-2.2.17
install -m 755 %SOURCE2 . 

%build
cd ipvsadm
make CFLAGS="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT

for i in /sbin %{_mandir}/man8 %{_initrddir} etc/sysconfig ; do
mkdir -p $RPM_BUILD_ROOT/$i
done

cd ipvsadm
%makeinstall SBIN=$RPM_BUILD_ROOT/sbin MAN=$RPM_BUILD_ROOT/%{_mandir}/man8

install -m 755 %SOURCE1 $RPM_BUILD_ROOT%{_initrddir}/lvs
install -m 755 %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/lvs

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add lvs

%preun
if [ $1 = 0 ]; then
   if [ -f /var/lock/subsys/lvs ]; then
         %{_initrddir}/lvs stop
		fi

   /sbin/chkconfig --del lvs
fi


%files
%defattr(-,root,root)
%doc README CREDITS  ChangeLog COPYING ipvsadm/README  contrib
%doc ipvs-0.9.16-2.2.17.patch net-tools-1.54-ipvs.patch lvs.example
%config(noreplace) %{_initrddir}/lvs
%config(noreplace) %{_sysconfdir}/sysconfig/lvs
/sbin/ipvsadm
%{_mandir}/man8/ipvsadm.8.bz2

%changelog
* Tue Aug 29 2000  Philippe Libat <philippe@mandrakesoft.com> 0.9.16-2.2.17mdk
- new version 0.9.16-2.2.17
- sysconfig/lvs example

* Tue Aug 29 2000  Philippe Libat <philippe@mandrakesoft.com> 0.9.15-2.2.16mdk
- new version 0.9.15-2.2.16
- rebuild using %{_initrddir} macro

* Tue Aug 29 2000  Etienne Faure <etienne@mandrakesoft.com> 0.9.9-2.2.14.4mdk
- rebuild using the _mandir macro 

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.9-2.2.14.3mdk
- automatically added BuildRequires

* Thu Apr 13 2000 Philippe Libat  <philippe@mandrakesoft.com> 0.9.9-2.2.14.2mdk
- Add lvs.init
- Add ldirectord.patch

* Tue Apr 11 2000 Philippe Libat  <philippe@mandrakesoft.com> 0.9.9-2.2.14mdk
- Mandrake first spec

